diff --git a/pgadmin/agent/dlgSchedule.cpp b/pgadmin/agent/dlgSchedule.cpp
index d8384e0..46c16d4 100644
--- a/pgadmin/agent/dlgSchedule.cpp
+++ b/pgadmin/agent/dlgSchedule.cpp
@@ -134,11 +134,11 @@ int dlgSchedule::Go(bool modal)
 		recId = schedule->GetRecId();
 		txtID->SetValue(NumToStr(recId));
 		chkEnabled->SetValue(schedule->GetEnabled());
-		calStart->SetValue(schedule->GetStart());
+		calStart->SetValue(schedule->GetStart().GetDateOnly());
 		timStart->SetTime(schedule->GetStart());
 		if (schedule->GetEnd().IsValid())
 		{
-			calEnd->SetValue(schedule->GetEnd());
+			calEnd->SetValue(schedule->GetEnd().GetDateOnly());
 			timEnd->SetTime(schedule->GetEnd());
 		}
 		else
@@ -497,7 +497,6 @@ wxString dlgSchedule::GetUpdateSql()
 			vars.Append(wxT("jscstart = '") + DateToAnsiStr(calStart->GetValue() + timStart->GetValue()) + wxT("'"));
 		}
 
-
 		if (calEnd->GetValue().IsValid())
 		{
 			if (schedule->GetEnd().IsValid())
diff --git a/pgadmin/dlg/dlgRole.cpp b/pgadmin/dlg/dlgRole.cpp
index cd3587d..e7477c7 100644
--- a/pgadmin/dlg/dlgRole.cpp
+++ b/pgadmin/dlg/dlgRole.cpp
@@ -210,7 +210,7 @@ int dlgRole::Go(bool modal)
 		chkUpdateCat->SetValue(role->GetUpdateCatalog());
 		chkCanLogin->SetValue(role->GetCanLogin());
 		chkReplication->SetValue(role->GetReplication());
-		datValidUntil->SetValue(role->GetAccountExpires());
+		datValidUntil->SetValue(role->GetAccountExpires().GetDateOnly());
 		timValidUntil->SetTime(role->GetAccountExpires());
 		txtConnectionLimit->SetValue(NumToStr(role->GetConnectionLimit()));
 		txtComment->SetValue(role->GetComment());
diff --git a/pgadmin/dlg/dlgUser.cpp b/pgadmin/dlg/dlgUser.cpp
index 951ebc5..1a1eccd 100644
--- a/pgadmin/dlg/dlgUser.cpp
+++ b/pgadmin/dlg/dlgUser.cpp
@@ -136,7 +136,7 @@ int dlgUser::Go(bool modal)
 		txtID->SetValue(NumToStr(user->GetUserId()));
 		chkCreateDB->SetValue(user->GetCreateDatabase());
 		chkCreateUser->SetValue(user->GetSuperuser());
-		datValidUntil->SetValue(user->GetAccountExpires());
+		datValidUntil->SetValue(user->GetAccountExpires().GetDateOnly());
 		timValidUntil->SetTime(user->GetAccountExpires());
 		if (!connection->BackendMinimumVersion(7, 4))
 			txtName->Disable();
